/* ePDF installation script v.05*/

"cls"
say;say " ipspool installation.";say

/* - - - - - init RexxUtil - - - - - */

if rxfuncquery('SysLoadFuncs') then do
 call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
 call SysLoadFuncs
end


/* - - - - - Get install directory - - - - - */
InstDir = directory()


/* - - - - - add a pipe port  */

if SysIni("SYSTEM", "PM_SPOOLER_PORT", "\PIPE\ipspool") >< ";"||"00"x then do
say " Do you want to create an ipspool printer port?"
say "It is necessary for redirection of your printer jobs to ipspool."
say "Note: Make a backup of your system.ini before adding this port!"
say "Type Y+Enter to create the port. Type another key to skip."
pull port_flag
if translate(left(port_flag, 1)) = 'Y' then
do
 say
 say "Creating port \PIPE\ipspool ..."
 call SysIni "SYSTEM", "PM_SPOOLER_PORT", "\PIPE\ipspool",";" || "00"x
 say "...done."
 say
 say " Please point your printer to the new port \PIPE\ipspool, and be sure"
 say "that ipspool is running before you start a print job"
 say
end
end
else do
say "Existing ipspool print port detected, port installation skipped."
say
end
/* - - - - - object creation - - - - - */

say " Creating WPS objects..."

Call SysCreateObject 'WPFolder', 'ipSpool', '<WP_DESKTOP>', 'OBJECTID=<IPSPOOLFOLDER>', 'Update'
Call SysCreateObject 'WPProgram', 'ipSpool', '<IPSPOOLFOLDER>', 'OBJECTID=<ipsplexe>;EXENAME='||InstDir||'\ipspool.exe;STARTUPDIR='||InstDir||';PROGTYPE=PM;PARAMETERS='||"/a192.168.1.1", 'Update'

say "...done."


say " Installation done. Hit ENTER to continue."
pull dummy
call SysOpenObject "<IPSPOOLFOLDER>", 0, "TRUE"

exit
